import request from '@/utils/request'

// 查询庭院管网目录中间列表
export function listNetworkRelation(query) {
  return request({
    url: '/gas/networkRelation/list',
    method: 'get',
    params: query
  })
}

// 查询庭院管网目录中间详细
export function getNetworkRelation(id) {
  return request({
    url: '/gas/networkRelation/' + id,
    method: 'get'
  })
}

// 新增庭院管网目录中间
export function addNetworkRelation(data) {
  return request({
    url: '/gas/networkRelation',
    method: 'post',
    data: data
  })
}

// 修改庭院管网目录中间
export function updateNetworkRelation(data) {
  return request({
    url: '/gas/networkRelation',
    method: 'put',
    data: data
  })
}

// 删除庭院管网目录中间
export function delNetworkRelation(id,jobNum) {
  return request({
    url: '/gas/networkRelation/' + id + '/' + jobNum,
    method: 'delete'
  })
}

// 查询我的调压箱目录
export function myListArea(query) {
  return request({
    url: '/gas/networkRelation/myList',
    method: 'get',
    params: query
  })
}
